import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Collection, Feature } from 'ol';
import { ObjectEvent } from 'ol/Object';
import { Condition } from 'ol/events/condition';
import { Modify } from 'ol/interaction';
import { ModifyEvent } from 'ol/interaction/Modify';
import { Vector } from 'ol/source';
import { Style } from 'ol/style';
import { StyleFunction } from 'ol/style/Style';
import { MapComponent } from '../map.component';
import * as i0 from "@angular/core";
export declare class ModifyInteractionComponent implements OnInit, OnDestroy {
    private map;
    condition?: Condition;
    deleteCondition?: Condition;
    pixelTolerance?: number;
    style?: Style | Style[] | StyleFunction;
    features: Collection<Feature>;
    wrapX?: boolean;
    source?: Vector;
    modifyEnd: EventEmitter<ModifyEvent>;
    modifyStart: EventEmitter<ModifyEvent>;
    olChange: EventEmitter<ModifyEvent>;
    olChangeActive: EventEmitter<ObjectEvent>;
    propertyChange: EventEmitter<ObjectEvent>;
    instance: Modify;
    constructor(map: MapComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModifyInteractionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModifyInteractionComponent, "aol-interaction-modify", never, { "condition": { "alias": "condition"; "required": false; }; "deleteCondition": { "alias": "deleteCondition"; "required": false; }; "pixelTolerance": { "alias": "pixelTolerance"; "required": false; }; "style": { "alias": "style"; "required": false; }; "features": { "alias": "features"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; "source": { "alias": "source"; "required": false; }; }, { "modifyEnd": "modifyEnd"; "modifyStart": "modifyStart"; "olChange": "olChange"; "olChangeActive": "olChangeActive"; "propertyChange": "propertyChange"; }, never, never, true, never>;
}
