import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Collection, Feature } from 'ol';
import { ObjectEvent } from 'ol/Object';
import { Condition } from 'ol/events/condition';
import { Select } from 'ol/interaction';
import { FilterFunction, SelectEvent } from 'ol/interaction/Select';
import { Layer } from 'ol/layer';
import { Style } from 'ol/style';
import { StyleFunction } from 'ol/style/Style';
import { MapComponent } from '../map.component';
import * as i0 from "@angular/core";
export declare class SelectInteractionComponent implements OnInit, OnDestroy {
    private map;
    addCondition?: Condition;
    condition?: Condition;
    layers?: Layer[] | ((layer: Layer) => boolean);
    style?: Style | Style[] | StyleFunction;
    removeCondition?: Condition;
    toggleCondition?: Condition;
    multi?: boolean;
    features?: Collection<Feature>;
    filter?: FilterFunction;
    wrapX?: boolean;
    olChange: EventEmitter<SelectEvent>;
    olSelect: EventEmitter<SelectEvent>;
    propertyChange: EventEmitter<ObjectEvent>;
    instance: Select;
    constructor(map: MapComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectInteractionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectInteractionComponent, "aol-interaction-select", never, { "addCondition": { "alias": "addCondition"; "required": false; }; "condition": { "alias": "condition"; "required": false; }; "layers": { "alias": "layers"; "required": false; }; "style": { "alias": "style"; "required": false; }; "removeCondition": { "alias": "removeCondition"; "required": false; }; "toggleCondition": { "alias": "toggleCondition"; "required": false; }; "multi": { "alias": "multi"; "required": false; }; "features": { "alias": "features"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; }, { "olChange": "olChange"; "olSelect": "olSelect"; "propertyChange": "propertyChange"; }, never, never, true, never>;
}
