import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import Map from 'ol/Map';
import MapBrowserEvent from 'ol/MapBrowserEvent';
import MapEvent from 'ol/MapEvent';
import { Control } from 'ol/control';
import BaseEvent from 'ol/events/Event';
import { Interaction } from 'ol/interaction';
import RenderEvent from 'ol/render/Event';
import * as i0 from "@angular/core";
export declare class MapComponent implements OnInit, AfterViewInit, OnChanges {
    private host;
    width: string;
    height: string;
    pixelRatio: number;
    keyboardEventTarget: HTMLElement | string;
    loadTilesWhileAnimating: boolean;
    loadTilesWhileInteracting: boolean;
    logo: string | boolean;
    renderer: 'canvas' | 'webgl';
    olClick: EventEmitter<MapBrowserEvent>;
    dblClick: EventEmitter<MapBrowserEvent>;
    moveStart: EventEmitter<MapEvent>;
    moveEnd: EventEmitter<MapEvent>;
    pointerDrag: EventEmitter<MapBrowserEvent>;
    pointerMove: EventEmitter<MapBrowserEvent>;
    onpostrender: EventEmitter<RenderEvent>;
    postRender: EventEmitter<MapEvent>;
    onpreCompose: EventEmitter<RenderEvent>;
    propertyChange: EventEmitter<BaseEvent>;
    singleClick: EventEmitter<MapBrowserEvent>;
    instance: Map;
    componentType: string;
    controls: Control[];
    interactions: Interaction[];
    constructor(host: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MapComponent, "aol-map", never, { "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "pixelRatio": { "alias": "pixelRatio"; "required": false; }; "keyboardEventTarget": { "alias": "keyboardEventTarget"; "required": false; }; "loadTilesWhileAnimating": { "alias": "loadTilesWhileAnimating"; "required": false; }; "loadTilesWhileInteracting": { "alias": "loadTilesWhileInteracting"; "required": false; }; "logo": { "alias": "logo"; "required": false; }; "renderer": { "alias": "renderer"; "required": false; }; }, { "olClick": "olClick"; "dblClick": "dblClick"; "moveStart": "moveStart"; "moveEnd": "moveEnd"; "pointerDrag": "pointerDrag"; "pointerMove": "pointerMove"; "onpostrender": "onpostrender"; "postRender": "postRender"; "onpreCompose": "onpreCompose"; "propertyChange": "propertyChange"; "singleClick": "singleClick"; }, never, ["*"], true, never>;
}
