import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { LoadFunction } from 'ol/Image';
import { ProjectionLike } from 'ol/proj';
import { ImageArcGISRest } from 'ol/source';
import { ImageSourceEvent } from 'ol/source/Image';
import { AttributionLike } from 'ol/source/Source';
import { LayerImageComponent } from '../layers/layerimage.component';
import { SourceComponent } from './source.component';
import * as i0 from "@angular/core";
export declare class SourceImageArcGISRestComponent extends SourceComponent implements OnInit, OnChanges {
    projection: ProjectionLike | string;
    url: string;
    attributions: AttributionLike;
    crossOrigin?: string;
    imageLoadFunction?: LoadFunction;
    params?: Record<string, unknown>;
    ratio: number;
    resolutions?: number[];
    wrapX?: boolean;
    imageLoadStart: EventEmitter<ImageSourceEvent>;
    imageLoadEnd: EventEmitter<ImageSourceEvent>;
    imageLoadError: EventEmitter<ImageSourceEvent>;
    instance: ImageArcGISRest;
    constructor(layer: LayerImageComponent);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceImageArcGISRestComponent, [{ host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SourceImageArcGISRestComponent, "aol-source-imagearcgisrest", never, { "projection": { "alias": "projection"; "required": false; }; "url": { "alias": "url"; "required": false; }; "attributions": { "alias": "attributions"; "required": false; }; "crossOrigin": { "alias": "crossOrigin"; "required": false; }; "imageLoadFunction": { "alias": "imageLoadFunction"; "required": false; }; "params": { "alias": "params"; "required": false; }; "ratio": { "alias": "ratio"; "required": false; }; "resolutions": { "alias": "resolutions"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; }, { "imageLoadStart": "imageLoadStart"; "imageLoadEnd": "imageLoadEnd"; "imageLoadError": "imageLoadError"; }, never, ["*"], true, never>;
}
