import { AfterContentInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { WMTS } from 'ol/source';
import { TileSourceEvent } from 'ol/source/Tile';
import { LayerTileComponent } from '../layers/layertile.component';
import { TileGridWMTSComponent } from '../tilegridwmts.component';
import { SourceComponent } from './source.component';
import { Options } from 'ol/source/WMTS';
import * as i0 from "@angular/core";
export declare class SourceTileWMTSComponent extends SourceComponent implements AfterContentInit, OnChanges {
    cacheSize?: Options['cacheSize'];
    crossOrigin?: Options['crossOrigin'];
    tileGrid: Options['tileGrid'];
    projection: Options['projection'];
    reprojectionErrorThreshold?: Options['reprojectionErrorThreshold'];
    requestEncoding?: Options['requestEncoding'];
    layer: Options['layer'];
    style: Options['style'];
    tileClass?: Options['tileClass'];
    tilePixelRatio?: Options['tilePixelRatio'];
    version?: Options['version'];
    format?: Options['format'];
    matrixSet: Options['matrixSet'];
    dimensions?: Options['dimensions'];
    url?: Options['url'];
    tileLoadFunction?: Options['tileLoadFunction'];
    urls?: Options['urls'];
    wrapX?: Options['wrapX'];
    tileLoadStart: EventEmitter<TileSourceEvent>;
    tileLoadEnd: EventEmitter<TileSourceEvent>;
    tileLoadError: EventEmitter<TileSourceEvent>;
    tileGridWMTS: TileGridWMTSComponent;
    instance: WMTS;
    constructor(layer: LayerTileComponent);
    ngOnChanges(changes: SimpleChanges): void;
    setLayerSource(): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceTileWMTSComponent, [{ host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SourceTileWMTSComponent, "aol-source-tilewmts", never, { "cacheSize": { "alias": "cacheSize"; "required": false; }; "crossOrigin": { "alias": "crossOrigin"; "required": false; }; "tileGrid": { "alias": "tileGrid"; "required": false; }; "projection": { "alias": "projection"; "required": false; }; "reprojectionErrorThreshold": { "alias": "reprojectionErrorThreshold"; "required": false; }; "requestEncoding": { "alias": "requestEncoding"; "required": false; }; "layer": { "alias": "layer"; "required": false; }; "style": { "alias": "style"; "required": false; }; "tileClass": { "alias": "tileClass"; "required": false; }; "tilePixelRatio": { "alias": "tilePixelRatio"; "required": false; }; "version": { "alias": "version"; "required": false; }; "format": { "alias": "format"; "required": false; }; "matrixSet": { "alias": "matrixSet"; "required": false; }; "dimensions": { "alias": "dimensions"; "required": false; }; "url": { "alias": "url"; "required": false; }; "tileLoadFunction": { "alias": "tileLoadFunction"; "required": false; }; "urls": { "alias": "urls"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; }, { "tileLoadStart": "tileLoadStart"; "tileLoadEnd": "tileLoadEnd"; "tileLoadError": "tileLoadError"; }, ["tileGridWMTS"], ["*"], true, never>;
}
