import { OnInit } from '@angular/core';
import { Vector } from 'ol/source';
import { default as FeatureFormat } from 'ol/format/Feature';
import { LayerVectorComponent } from '../layers/layervector.component';
import { SourceComponent } from './source.component';
import { LoadingStrategy } from 'ol/source/Vector';
import { Geometry } from 'ol/geom';
import { Extent } from 'ol/extent';
import { Projection } from 'ol/proj';
import { Feature } from 'ol';
import * as i0 from "@angular/core";
export declare class SourceVectorComponent extends SourceComponent implements OnInit {
    overlaps: boolean;
    useSpatialIndex: boolean;
    wrapX: boolean;
    url: string;
    format: FeatureFormat;
    strategy: LoadingStrategy;
    /**
     * The loader function used to load features, from a remote source for example.
     * If this is not set and `url` is set, the source will create and use an XHR
     * feature loader. The `'featuresloadend'` and `'featuresloaderror'` events
     * will only fire if the `success` and `failure` callbacks are used.
     *
     * An extra argument is provided to the OpenLayers callback to enable retrieval
     * of the parent VectorSource.
     */
    loader: (extent: Extent, resolution: number, projection: Projection, success: (geos: Feature<Geometry>[]) => void, failure: () => void, vectorSource: Vector) => void;
    instance: Vector;
    constructor(layer: LayerVectorComponent);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceVectorComponent, [{ host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SourceVectorComponent, "aol-source-vector", never, { "overlaps": { "alias": "overlaps"; "required": false; }; "useSpatialIndex": { "alias": "useSpatialIndex"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; "url": { "alias": "url"; "required": false; }; "format": { "alias": "format"; "required": false; }; "strategy": { "alias": "strategy"; "required": false; }; "loader": { "alias": "loader"; "required": false; }; }, {}, never, ["*"], true, never>;
}
