import { AfterContentInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { Size } from 'ol/size';
import { XYZ } from 'ol/source';
import { TileSourceEvent } from 'ol/source/Tile';
import { LoadFunction, UrlFunction } from 'ol/Tile';
import TileGrid from 'ol/tilegrid/TileGrid';
import { LayerTileComponent } from '../layers/layertile.component';
import { TileGridComponent } from '../tilegrid.component';
import { SourceComponent } from './source.component';
import * as i0 from "@angular/core";
export declare class SourceXYZComponent extends SourceComponent implements AfterContentInit, OnChanges {
    protected layer?: LayerTileComponent;
    cacheSize: number;
    crossOrigin: string;
    opaque: boolean;
    projection: string;
    reprojectionErrorThreshold: number;
    minZoom: number;
    maxZoom: number;
    tileGrid: TileGrid;
    tileLoadFunction?: LoadFunction;
    tilePixelRatio: number;
    tileSize: number | Size;
    tileUrlFunction?: UrlFunction;
    url: string;
    urls: string[];
    wrapX: boolean;
    tileGridXYZ: TileGridComponent;
    tileLoadStart: EventEmitter<TileSourceEvent>;
    tileLoadEnd: EventEmitter<TileSourceEvent>;
    tileLoadError: EventEmitter<TileSourceEvent>;
    instance: XYZ;
    constructor(layer?: LayerTileComponent);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    init(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceXYZComponent, [{ optional: true; host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SourceXYZComponent, "aol-source-xyz", never, { "cacheSize": { "alias": "cacheSize"; "required": false; }; "crossOrigin": { "alias": "crossOrigin"; "required": false; }; "opaque": { "alias": "opaque"; "required": false; }; "projection": { "alias": "projection"; "required": false; }; "reprojectionErrorThreshold": { "alias": "reprojectionErrorThreshold"; "required": false; }; "minZoom": { "alias": "minZoom"; "required": false; }; "maxZoom": { "alias": "maxZoom"; "required": false; }; "tileGrid": { "alias": "tileGrid"; "required": false; }; "tileLoadFunction": { "alias": "tileLoadFunction"; "required": false; }; "tilePixelRatio": { "alias": "tilePixelRatio"; "required": false; }; "tileSize": { "alias": "tileSize"; "required": false; }; "tileUrlFunction": { "alias": "tileUrlFunction"; "required": false; }; "url": { "alias": "url"; "required": false; }; "urls": { "alias": "urls"; "required": false; }; "wrapX": { "alias": "wrapX"; "required": false; }; }, { "tileLoadStart": "tileLoadStart"; "tileLoadEnd": "tileLoadEnd"; "tileLoadError": "tileLoadError"; }, ["tileGridXYZ"], ["*"], true, never>;
}
