import { SimpleGeometryComponent } from './lib/geom/simplegeometry.component';
import { SourceComponent } from './lib/sources/source.component';
import { ViewComponent } from './lib/view.component';
import { GraticuleComponent } from './lib/graticule.component';
import { LayerGroupComponent } from './lib/layers/layergroup.component';
import { LayerImageComponent } from './lib/layers/layerimage.component';
import { LayerTileComponent } from './lib/layers/layertile.component';
import { MapComponent } from './lib/map.component';
import { LayerVectorComponent } from './lib/layers/layervector.component';
import { LayerVectorTileComponent } from './lib/layers/layervectortile.component';
import { SourceOsmComponent } from './lib/sources/osm.component';
import { SourceBingmapsComponent } from './lib/sources/bingmaps.component';
import { SourceClusterComponent } from './lib/sources/cluster.component';
import { SourceVectorComponent } from './lib/sources/vector.component';
import { SourceXYZComponent } from './lib/sources/xyz.component';
import { SourceTileWMTSComponent } from './lib/sources/tilewmts.component';
import { SourceVectorTileComponent } from './lib/sources/vectortile.component';
import { SourceTileWMSComponent } from './lib/sources/tilewms.component';
import { SourceTileJSONComponent } from './lib/sources/tilejson.component';
import { SourceGeoJSONComponent } from './lib/sources/geojson.component';
import { SourceImageStaticComponent } from './lib/sources/imagestatic.component';
import { SourceImageWMSComponent } from './lib/sources/imagewms.component';
import { SourceImageArcGISRestComponent } from './lib/sources/imagearcgisrest.component';
import { SourceRasterComponent } from './lib/sources/raster.component';
import { FeatureComponent } from './lib/feature.component';
import { GeometryCircleComponent } from './lib/geom/geometrycircle.component';
import { GeometryLinestringComponent } from './lib/geom/geometrylinestring.component';
import { GeometryMultiLinestringComponent } from './lib/geom/geometrymultilinestring.component';
import { GeometryMultiPointComponent } from './lib/geom/geometrymultipoint.component';
import { GeometryMultiPolygonComponent } from './lib/geom/geometrymultipolygon.component';
import { GeometryPointComponent } from './lib/geom/geometrypoint.component';
import { GeometryPolygonComponent } from './lib/geom/geometrypolygon.component';
import { CoordinateComponent } from './lib/coordinate.component';
import { CollectionCoordinatesComponent } from './lib/collectioncoordinates.component';
import { StyleComponent } from './lib/styles/style.component';
import { StyleCircleComponent } from './lib/styles/circle.component';
import { StyleStrokeComponent } from './lib/styles/stroke.component';
import { StyleIconComponent } from './lib/styles/icon.component';
import { StyleFillComponent } from './lib/styles/fill.component';
import { StyleTextComponent } from './lib/styles/text.component';
import { DefaultControlComponent } from './lib/controls/default.component';
import { ControlComponent } from './lib/controls/control.component';
import { ControlAttributionComponent } from './lib/controls/attribution.component';
import { ControlFullScreenComponent } from './lib/controls/fullscreen.component';
import { ControlMousePositionComponent } from './lib/controls/mouseposition.component';
import { ControlOverviewMapComponent } from './lib/controls/overviewmap.component';
import { ControlRotateComponent } from './lib/controls/rotate.component';
import { ControlScaleLineComponent } from './lib/controls/scaleline.component';
import { ControlZoomComponent } from './lib/controls/zoom.component';
import { ControlZoomSliderComponent } from './lib/controls/zoomslider.component';
import { ControlZoomToExtentComponent } from './lib/controls/zoomtoextent.component';
import { FormatMVTComponent } from './lib/formats/mvt.component';
import { TileGridComponent } from './lib/tilegrid.component';
import { TileGridWMTSComponent } from './lib/tilegridwmts.component';
import { DefaultInteractionComponent } from './lib/interactions/default.component';
import { DoubleClickZoomInteractionComponent } from './lib/interactions/doubleclickzoom.component';
import { DragAndDropInteractionComponent } from './lib/interactions/draganddrop.component';
import { DragBoxInteractionComponent } from './lib/interactions/dragbox.component';
import { DragPanInteractionComponent } from './lib/interactions/dragpan.component';
import { DragRotateInteractionComponent } from './lib/interactions/dragrotate.component';
import { DragRotateAndZoomInteractionComponent } from './lib/interactions/dragrotateandzoom.component';
import { DragZoomInteractionComponent } from './lib/interactions/dragzoom.component';
import { MouseWheelZoomInteractionComponent } from './lib/interactions/mousewheelzoom.component';
import { PinchZoomInteractionComponent } from './lib/interactions/pinchzoom.component';
import { DrawInteractionComponent } from './lib/interactions/draw.component';
import { SelectInteractionComponent } from './lib/interactions/select.component';
import { ModifyInteractionComponent } from './lib/interactions/modify.component';
import { TranslateInteractionComponent } from './lib/interactions/translate.component';
import { OverlayComponent } from './lib/overlay.component';
import { ContentComponent } from './lib/content.component';
import { AttributionsComponent } from './lib/attributions.component';
import { AttributionComponent } from './lib/attribution.component';
import { SourceUTFGridComponent } from './lib/sources/utfgrid.component';
import { LayerComponent } from './lib/layers/layer.component';
import * as i0 from "@angular/core";
import * as i1 from "./lib/map.component";
import * as i2 from "./lib/view.component";
import * as i3 from "./lib/graticule.component";
import * as i4 from "./lib/layers/layergroup.component";
import * as i5 from "./lib/layers/layerimage.component";
import * as i6 from "./lib/layers/layertile.component";
import * as i7 from "./lib/layers/layervector.component";
import * as i8 from "./lib/layers/layervectortile.component";
import * as i9 from "./lib/sources/osm.component";
import * as i10 from "./lib/sources/bingmaps.component";
import * as i11 from "./lib/sources/cluster.component";
import * as i12 from "./lib/sources/utfgrid.component";
import * as i13 from "./lib/sources/vector.component";
import * as i14 from "./lib/sources/xyz.component";
import * as i15 from "./lib/sources/vectortile.component";
import * as i16 from "./lib/sources/tilewms.component";
import * as i17 from "./lib/sources/tilewmts.component";
import * as i18 from "./lib/sources/tilejson.component";
import * as i19 from "./lib/sources/geojson.component";
import * as i20 from "./lib/sources/imagestatic.component";
import * as i21 from "./lib/sources/imagewms.component";
import * as i22 from "./lib/sources/imagearcgisrest.component";
import * as i23 from "./lib/sources/raster.component";
import * as i24 from "./lib/feature.component";
import * as i25 from "./lib/geom/geometrylinestring.component";
import * as i26 from "./lib/geom/geometrymultilinestring.component";
import * as i27 from "./lib/geom/geometrymultipoint.component";
import * as i28 from "./lib/geom/geometrymultipolygon.component";
import * as i29 from "./lib/geom/geometrypoint.component";
import * as i30 from "./lib/geom/geometrypolygon.component";
import * as i31 from "./lib/geom/geometrycircle.component";
import * as i32 from "./lib/coordinate.component";
import * as i33 from "./lib/collectioncoordinates.component";
import * as i34 from "./lib/styles/style.component";
import * as i35 from "./lib/styles/circle.component";
import * as i36 from "./lib/styles/fill.component";
import * as i37 from "./lib/styles/icon.component";
import * as i38 from "./lib/styles/stroke.component";
import * as i39 from "./lib/styles/text.component";
import * as i40 from "./lib/controls/default.component";
import * as i41 from "./lib/controls/control.component";
import * as i42 from "./lib/controls/attribution.component";
import * as i43 from "./lib/controls/fullscreen.component";
import * as i44 from "./lib/controls/mouseposition.component";
import * as i45 from "./lib/controls/overviewmap.component";
import * as i46 from "./lib/controls/rotate.component";
import * as i47 from "./lib/controls/scaleline.component";
import * as i48 from "./lib/controls/zoom.component";
import * as i49 from "./lib/controls/zoomslider.component";
import * as i50 from "./lib/controls/zoomtoextent.component";
import * as i51 from "./lib/formats/mvt.component";
import * as i52 from "./lib/tilegrid.component";
import * as i53 from "./lib/tilegridwmts.component";
import * as i54 from "./lib/interactions/default.component";
import * as i55 from "./lib/interactions/doubleclickzoom.component";
import * as i56 from "./lib/interactions/draganddrop.component";
import * as i57 from "./lib/interactions/dragbox.component";
import * as i58 from "./lib/interactions/dragpan.component";
import * as i59 from "./lib/interactions/dragrotate.component";
import * as i60 from "./lib/interactions/dragrotateandzoom.component";
import * as i61 from "./lib/interactions/dragzoom.component";
import * as i62 from "./lib/interactions/mousewheelzoom.component";
import * as i63 from "./lib/interactions/pinchzoom.component";
import * as i64 from "./lib/interactions/draw.component";
import * as i65 from "./lib/interactions/select.component";
import * as i66 from "./lib/interactions/modify.component";
import * as i67 from "./lib/interactions/translate.component";
import * as i68 from "./lib/overlay.component";
import * as i69 from "./lib/content.component";
import * as i70 from "./lib/attributions.component";
import * as i71 from "./lib/attribution.component";
export { MapComponent, ViewComponent, GraticuleComponent, LayerComponent, LayerGroupComponent, LayerImageComponent, LayerTileComponent, LayerVectorComponent, LayerVectorTileComponent, SourceComponent, SourceOsmComponent, SourceBingmapsComponent, SourceClusterComponent, SourceUTFGridComponent, SourceVectorComponent, SourceXYZComponent, SourceVectorTileComponent, SourceTileWMSComponent, SourceTileWMTSComponent, SourceTileJSONComponent, SourceGeoJSONComponent, SourceImageStaticComponent, SourceImageWMSComponent, SourceRasterComponent, SourceImageArcGISRestComponent, SimpleGeometryComponent, FeatureComponent, GeometryLinestringComponent, GeometryMultiLinestringComponent, GeometryMultiPointComponent, GeometryMultiPolygonComponent, GeometryPointComponent, GeometryPolygonComponent, GeometryCircleComponent, CoordinateComponent, CollectionCoordinatesComponent, StyleComponent, StyleCircleComponent, StyleFillComponent, StyleIconComponent, StyleStrokeComponent, StyleTextComponent, DefaultControlComponent, ControlComponent, ControlAttributionComponent, ControlFullScreenComponent, ControlMousePositionComponent, ControlOverviewMapComponent, ControlRotateComponent, ControlScaleLineComponent, ControlZoomComponent, ControlZoomSliderComponent, ControlZoomToExtentComponent, FormatMVTComponent, TileGridComponent, TileGridWMTSComponent, DefaultInteractionComponent, DoubleClickZoomInteractionComponent, DragAndDropInteractionComponent, DragBoxInteractionComponent, DragPanInteractionComponent, DragRotateInteractionComponent, DragRotateAndZoomInteractionComponent, DragZoomInteractionComponent, MouseWheelZoomInteractionComponent, PinchZoomInteractionComponent, DrawInteractionComponent, SelectInteractionComponent, ModifyInteractionComponent, TranslateInteractionComponent, OverlayComponent, ContentComponent, AttributionsComponent, AttributionComponent, };
/**
 * @deprecated please use standalone components instead
 */
export declare class AngularOpenlayersModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularOpenlayersModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AngularOpenlayersModule, never, [typeof i1.MapComponent, typeof i2.ViewComponent, typeof i3.GraticuleComponent, typeof i4.LayerGroupComponent, typeof i5.LayerImageComponent, typeof i6.LayerTileComponent, typeof i7.LayerVectorComponent, typeof i8.LayerVectorTileComponent, typeof i9.SourceOsmComponent, typeof i10.SourceBingmapsComponent, typeof i11.SourceClusterComponent, typeof i12.SourceUTFGridComponent, typeof i13.SourceVectorComponent, typeof i14.SourceXYZComponent, typeof i15.SourceVectorTileComponent, typeof i16.SourceTileWMSComponent, typeof i17.SourceTileWMTSComponent, typeof i18.SourceTileJSONComponent, typeof i19.SourceGeoJSONComponent, typeof i20.SourceImageStaticComponent, typeof i21.SourceImageWMSComponent, typeof i22.SourceImageArcGISRestComponent, typeof i23.SourceRasterComponent, typeof i24.FeatureComponent, typeof i25.GeometryLinestringComponent, typeof i26.GeometryMultiLinestringComponent, typeof i27.GeometryMultiPointComponent, typeof i28.GeometryMultiPolygonComponent, typeof i29.GeometryPointComponent, typeof i30.GeometryPolygonComponent, typeof i31.GeometryCircleComponent, typeof i32.CoordinateComponent, typeof i33.CollectionCoordinatesComponent, typeof i34.StyleComponent, typeof i35.StyleCircleComponent, typeof i36.StyleFillComponent, typeof i37.StyleIconComponent, typeof i38.StyleStrokeComponent, typeof i39.StyleTextComponent, typeof i40.DefaultControlComponent, typeof i41.ControlComponent, typeof i42.ControlAttributionComponent, typeof i43.ControlFullScreenComponent, typeof i44.ControlMousePositionComponent, typeof i45.ControlOverviewMapComponent, typeof i46.ControlRotateComponent, typeof i47.ControlScaleLineComponent, typeof i48.ControlZoomComponent, typeof i49.ControlZoomSliderComponent, typeof i50.ControlZoomToExtentComponent, typeof i51.FormatMVTComponent, typeof i52.TileGridComponent, typeof i53.TileGridWMTSComponent, typeof i54.DefaultInteractionComponent, typeof i55.DoubleClickZoomInteractionComponent, typeof i56.DragAndDropInteractionComponent, typeof i57.DragBoxInteractionComponent, typeof i58.DragPanInteractionComponent, typeof i59.DragRotateInteractionComponent, typeof i60.DragRotateAndZoomInteractionComponent, typeof i61.DragZoomInteractionComponent, typeof i62.MouseWheelZoomInteractionComponent, typeof i63.PinchZoomInteractionComponent, typeof i64.DrawInteractionComponent, typeof i65.SelectInteractionComponent, typeof i66.ModifyInteractionComponent, typeof i67.TranslateInteractionComponent, typeof i68.OverlayComponent, typeof i69.ContentComponent, typeof i70.AttributionsComponent, typeof i71.AttributionComponent], [typeof i1.MapComponent, typeof i2.ViewComponent, typeof i3.GraticuleComponent, typeof i4.LayerGroupComponent, typeof i5.LayerImageComponent, typeof i6.LayerTileComponent, typeof i7.LayerVectorComponent, typeof i8.LayerVectorTileComponent, typeof i9.SourceOsmComponent, typeof i10.SourceBingmapsComponent, typeof i11.SourceClusterComponent, typeof i12.SourceUTFGridComponent, typeof i13.SourceVectorComponent, typeof i14.SourceXYZComponent, typeof i15.SourceVectorTileComponent, typeof i16.SourceTileWMSComponent, typeof i17.SourceTileWMTSComponent, typeof i18.SourceTileJSONComponent, typeof i19.SourceGeoJSONComponent, typeof i20.SourceImageStaticComponent, typeof i21.SourceImageWMSComponent, typeof i22.SourceImageArcGISRestComponent, typeof i23.SourceRasterComponent, typeof i24.FeatureComponent, typeof i25.GeometryLinestringComponent, typeof i26.GeometryMultiLinestringComponent, typeof i27.GeometryMultiPointComponent, typeof i28.GeometryMultiPolygonComponent, typeof i29.GeometryPointComponent, typeof i30.GeometryPolygonComponent, typeof i31.GeometryCircleComponent, typeof i32.CoordinateComponent, typeof i33.CollectionCoordinatesComponent, typeof i34.StyleComponent, typeof i35.StyleCircleComponent, typeof i36.StyleFillComponent, typeof i37.StyleIconComponent, typeof i38.StyleStrokeComponent, typeof i39.StyleTextComponent, typeof i40.DefaultControlComponent, typeof i41.ControlComponent, typeof i42.ControlAttributionComponent, typeof i43.ControlFullScreenComponent, typeof i44.ControlMousePositionComponent, typeof i45.ControlOverviewMapComponent, typeof i46.ControlRotateComponent, typeof i47.ControlScaleLineComponent, typeof i48.ControlZoomComponent, typeof i49.ControlZoomSliderComponent, typeof i50.ControlZoomToExtentComponent, typeof i51.FormatMVTComponent, typeof i52.TileGridComponent, typeof i53.TileGridWMTSComponent, typeof i54.DefaultInteractionComponent, typeof i55.DoubleClickZoomInteractionComponent, typeof i56.DragAndDropInteractionComponent, typeof i57.DragBoxInteractionComponent, typeof i58.DragPanInteractionComponent, typeof i59.DragRotateInteractionComponent, typeof i60.DragRotateAndZoomInteractionComponent, typeof i61.DragZoomInteractionComponent, typeof i62.MouseWheelZoomInteractionComponent, typeof i63.PinchZoomInteractionComponent, typeof i64.DrawInteractionComponent, typeof i65.SelectInteractionComponent, typeof i66.ModifyInteractionComponent, typeof i67.TranslateInteractionComponent, typeof i68.OverlayComponent, typeof i69.ContentComponent, typeof i70.AttributionsComponent, typeof i71.AttributionComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AngularOpenlayersModule>;
}
